BACKEND_PATH = backend
DJANGO_CMD = python $(BACKEND_PATH)/manage.py
SETTINGS = api_of_sales.settings

# BACKEND COMMANDS
migrations:
	$(DJANGO_CMD) makemigrations api

migrate:
	$(DJANGO_CMD) migrate api

create-superuser:
	$(DJANGO_CMD) createsuperuser

shell:
	$(DJANGO_CMD) shell --settings=$(SETTINGS)

runserver:
	$(DJANGO_CMD) runserver 0.0.0.0:8000 --settings=$(SETTINGS)

test:
	pytest -vv --cov=./

collectstatic:
	$(DJANGO_CMD) collectstatic --noinput

install_dev:
	pip install -r $(BACKEND_PATH)/api_of_sales/requirements/dev_requirements.txt 

install_prod:
	pip install -r $(BACKEND_PATH)/api_of_sales/requirements/prod_requirements.txt

load_fixture:
	$(DJANGO_CMD) loaddata backend/api_of_sales/fixtures/db.json

load_fixture_docker:
	docker-compose exec backend $(DJANGO_CMD) loaddata backend/api_of_sales/fixtures/db.json

local_start: install_dev migrations migrate

prod_start: install_prod migrations migrate load_fixture collectstatic runserver


